# coding: utf8
"""
Tracés de polygones avec le module 'turtle'.

À l'aide du module turtle pour la partie graphique, écrivez une fonction 
polygone_regulier() qui permet de tracer des polygones réguliers à n cotés 
(paramétrable) ayant chacun une longueur spécifiée à l'appel.

Ce module comportera un auto-test qui vérifiera le bon fonctionnement de 
la fonction en traçant :
  - un triangle
  - un carré
  - un octogone
  - un cercle (polygone à 100 côtés)
  
fichier : turtle_m.py
auteur : Bob  
"""

# Import ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
import turtle

# Définition de fonction ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
def polygone_regulier(ncotes, longueur):
    angle = 360/ncotes
    for i in range(ncotes):
        turtle.forward(longueur)
        turtle.left(angle)

# Auto-test ===================================================================
if __name__=='__main__':
    turtle.pensize(3)

    polygone_regulier(3, 300)
    polygone_regulier(4, 80)
    polygone_regulier(8, 100)
    polygone_regulier(100, 5)

    turtle.exitonclick()
